Problema al instalar NetBeans

Imagen de juanbl
0 puntos

he instalado perfectamenete el jdk pero al bajarme el netbeans y ejecutar el .bin, me da el siguiente error:
"bash: ./netbeans-5_0-linux.bin: /bin/sh: bad interpreter: Permiso denegado"

Comentar que he dado todos lo permisos al arhivo descargado y tambien he probado a acerlo con root.

No se porque falla, ¿alquin puede ayudarme??

Imagen de ator_18
+1
0
-1

Prueba a bajarte la version con j2se. La puedes descargar del siguiente enlace http://java.sun.com/j2se/1.5.0/download-netbeans-50.html

Para instalarlo dirigite al directorio donde lo descargaste y como root dale permisos de ejecucion con chmod +x [nombre del archivo]. Despues con ./[nombre del archivo (*.bin)] se te instalara tanto la ultima version del netbeans como la ultima versión de java para programadores. La ruta de instalación de ambos te recomiendo que sea /opt/netbeans-5.0 y opt/jdk1.5.0_06.

Hecho de ese modo deberia funcionarte sin problemas. Un saludo

Linux: La puerta mejor cerrada es aquella que puede dejarse abierta

+1
0
-1
Imagen de juanbl
+1
0
-1

He probado lo que me indicaste y me da el mismo error, sigo sin poder instalarlo

+1
0
-1
Imagen de ator_18
+1
0
-1

Hay una cosa que no me ha quedado clara. ¿Has podido instalarlo y te da error al intentar ejecutarlo? o el error te da directamente al instalarlo?.

Linux: La puerta mejor cerrada es aquella que puede dejarse abierta

+1
0
-1
Imagen de juanbl
+1
0
-1

No me deja instlarlo, despues de bajarmelo intento ejecutar el .bin y me dice ese error, ni empieza a instalar ni nada

+1
0
-1
Imagen de ator_18
+1
0
-1

Que error te da?

Linux: La puerta mejor cerrada es aquella que puede dejarse abierta

+1
0
-1
Imagen de juanbl
+1
0
-1

Cuando ejecuto el archivo descargado-> ./netbeans-5_0-linux.bin me da este error:

bash: ./netbeans-5_0-linux.bin: /bin/sh: bad interpreter: Permiso denegado

+1
0
-1
Imagen de ator_18
+1
0
-1

Prueba a hacer lo siguiente:

1) sudo chmod +x netbeans-5_0-linux.bin
2) sudo ./netbeans-5_0-linux.bin

Linux: La puerta mejor cerrada es aquella que puede dejarse abierta

+1
0
-1
Imagen de Jesus del Bosque
+1
0
-1

Mr. Forrest

Facil vete a esta pagina:
http://java.sun.com/j2se/1.5.0/download-netbeans.html

y descarga el "JDK 5.0 Update 7 with NetBeans IDE 5.0 Bundle"
entonces cunado termine la descarga, le das click derecho en el archivo " jdk-1_5_0_07-nb-5_0-linux-ml.bin "y le cambias los permisos en la pestaña permisos aegurate de que esten palomeados, entonces te abres un terminal y le das

$./jdk-1_5_0_07-nb-5_0-linux-ml.bin

esperas y se comienza a ejecutar un programa
entonces se abre un wizard de esos como los de windows le das siguiente y siguiente y ya...

listo....... si deseas le das

$NETBEANS/_uninst/install.log para ver que este bien todo

+1
0
-1

Mr. Forrest

Imagen de Anónimo
+1
0
-1

Yo ya le di permisos y se supone k lo descomprime pero no abre el wizard que dicen que debe de salir..., igual y el problema es que yo lo estoy intentando instalar en Mandriva, alguna sugerencia...????

+1
0
-1
Imagen de eivar
+1
0
-1

no se si estoy en lo correcto porque no tengo muchos conocimientos en esto pero parece que el problemas es con el shell, pues te manda que el interprete de comandos es incorrecto ¡bin sh! prueba cambiar el interprete que usas, lo puedes encontrar en el menu Systema->Adminstracion->Usuarios y Grupos
En las propiedades del usuario en la ficha Avanzado.
tambien desde Synaptic puedes instalar mas shell como dash pero creo que sh esta ya instalado, es solo una idea espero que te sirva de algo.
Eivar A. M. M.

+1
0
-1